package com.ruoyi.project.training.bccnew.service.impl;

import com.ruoyi.project.training.bccnew.domain.TTsFirstplan;
import com.ruoyi.project.training.bccnew.mapper.TTsFirstplanMapper;
import com.ruoyi.project.training.bccnew.service.ITTsFirstplanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 进组培训Service业务层处理
 *
 * @author ssy
 * @date 2024-06-17
 */
@Service
public class TTsFirstplanServiceImpl implements ITTsFirstplanService {
    @Autowired
    private TTsFirstplanMapper tTsFirstplanMapper;

    /**
     * 查询进组培训
     *
     * @param id 进组培训ID
     * @return 进组培训
     */
    @Override
    public TTsFirstplan selectTTsFirstplanById(Long id) {
        return tTsFirstplanMapper.selectTTsFirstplanById(id);
    }

    @Override
    public List<TTsFirstplan> selectTTsFirstplanListByNewId(TTsFirstplan tTsFirstplan) {
        return tTsFirstplanMapper.selectTTsFirstplanListByNewId(tTsFirstplan);
    }

    /**
     * 查询进组培训列表
     *
     * @param tTsFirstplan 进组培训
     * @return 进组培训
     */
    @Override
    public List<TTsFirstplan> selectTTsFirstplanList(TTsFirstplan tTsFirstplan) {
        return tTsFirstplanMapper.selectTTsFirstplanList(tTsFirstplan);
    }

    /**
     * 新增进组培训
     *
     * @param tTsFirstplan 进组培训
     * @return 结果
     */
    @Override
    public int insertTTsFirstplan(TTsFirstplan tTsFirstplan) {
        return tTsFirstplanMapper.insertTTsFirstplan(tTsFirstplan);
    }

    /**
     * 修改进组培训
     *
     * @param tTsFirstplan 进组培训
     * @return 结果
     */
    @Override
    public int updateTTsFirstplan(TTsFirstplan tTsFirstplan) {
        return tTsFirstplanMapper.updateTTsFirstplan(tTsFirstplan);
    }

    /**
     * 批量删除进组培训
     *
     * @param ids 需要删除的进组培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsFirstplanByIds(Long[] ids) {
        return tTsFirstplanMapper.deleteTTsFirstplanByIds(ids);
    }

    /**
     * 删除进组培训信息
     *
     * @param id 进组培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsFirstplanById(Long id) {
        return tTsFirstplanMapper.deleteTTsFirstplanById(id);
    }
}
