package com.ruoyi.project.training.bccnew.service.impl;

import com.ruoyi.project.training.bccnew.domain.*;
import com.ruoyi.project.training.bccnew.mapper.*;
import com.ruoyi.project.training.bccnew.service.ITTsNewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 导师带徒Service业务层处理
 *
 * @author ssy
 * @date 2024-05-20
 */
@Service
public class TTsNewServiceImpl implements ITTsNewService {
    @Autowired
    private TTsNewMapper tTsNewMapper;

    @Autowired
    private TTsLjplanTmplMapper tTsLjplanTmplMapper;

    @Autowired
    private TTsLjplanMapper tTsLjplanMapper;


    @Autowired
    private TTsYsplanTmplMapper tTsYsplanTmplMapper;

    @Autowired
    private TTsYsplanMapper tTsYsplanMapper;


    @Autowired
    private TTsFlplanTmplMapper tTsFlplanTmplMapper;

    @Autowired
    private TTsFlplanMapper tTsFlplanMapper;


    @Autowired
    private TTsFtplanTmplMapper tTsFtplanTmplMapper;

    @Autowired
    private TTsFtplanMapper tTsFtplanMapper;

    @Autowired
    private TTsFirstplanMapper tTsFirstplanMapper ;

    @Autowired
    private TTsFirstplanTmplMapper tTsFirstplanTmplMapper;

    /**
     * 查询导师带徒
     *
     * @param newId 导师带徒ID
     * @return 导师带徒
     */
    @Override
    public TTsNew selectTTsNewById(Long newId) {
        return tTsNewMapper.selectTTsNewById(newId);
    }

    /**
     * 查询导师带徒列表
     *
     * @param tTsNew 导师带徒
     * @return 导师带徒
     */
    @Override
    public List<TTsNew> selectTTsNewList(TTsNew tTsNew) {
        return tTsNewMapper.selectTTsNewList(tTsNew);
    }

    /**
     * 新增导师带徒
     *
     * @param tTsNew 导师带徒
     * @return 结果
     */
    @Override
    public int insertTTsNew(TTsNew tTsNew) {
        tTsNewMapper.insertTTsNew(tTsNew);
        for (TTsFirstplanTmpl tTsFirstplanTmpl : tTsFirstplanTmplMapper.selectTTsFirstplanTmplList(new TTsFirstplanTmpl())) {
            TTsFirstplan tTsFirstplan = new TTsFirstplan();
            tTsFirstplan.setNewId(tTsNew.getNewId());
            tTsFirstplan.setCourseCode(tTsFirstplanTmpl.getCourseCode());
            tTsFirstplan.setTopic(tTsFirstplanTmpl.getTopic());
            tTsFirstplan.setContent(tTsFirstplanTmpl.getContent());
            tTsFirstplan.setCourseDay(tTsFirstplanTmpl.getCourseDay());
            tTsFirstplan.setCourseHour(tTsFirstplanTmpl.getCourseHour());
            tTsFirstplan.setCourseType(tTsFirstplanTmpl.getCourseType());
            tTsFirstplan.setTrainer(tTsFirstplanTmpl.getTrainer());
            tTsFirstplan.setCourseDate(tTsFirstplanTmpl.getCourseDate());
            tTsFirstplan.setAssess(tTsFirstplanTmpl.getAssess());
            tTsFirstplan.setPlanStatus(0L);
            tTsFirstplan.setFileName(tTsFirstplanTmpl.getFileName());
            tTsFirstplan.setFileUrl(tTsFirstplanTmpl.getFileUrl());
            tTsFirstplan.setTimerNeed(tTsFirstplanTmpl.getTimerNeed());
            tTsFirstplan.setTimer(0L);
            tTsFirstplanMapper.insertTTsFirstplan(tTsFirstplan);
        }
        if (tTsNew.getPlanType() == 1) {
            for (TTsLjplanTmpl item : tTsLjplanTmplMapper.selectTTsLjplanTmplList(new TTsLjplanTmpl())) {
                TTsLjplan entity = new TTsLjplan();
                entity.setCourseCode(item.getCourseCode());
                entity.setTopic(item.getTopic());
                entity.setContent(item.getContent());
                entity.setCourseDay(item.getCourseDay());
                entity.setCourseHour(item.getCourseHour());
                entity.setDetailPlan(item.getDetailPlan());
                entity.setTrainer(item.getTrainer());
                entity.setCourseDate(item.getCourseDate());
                entity.setAssess(item.getAssess());
                entity.setNewId(tTsNew.getNewId());
                entity.setFileName(item.getFileName());
                entity.setFileUrl(item.getFileUrl());
                entity.setTimerNeed(item.getTimerNeed());
                entity.setTimer(0L);
                tTsLjplanMapper.insertTTsLjplan(entity);
            }
        } else if (tTsNew.getPlanType() == 2) {
            for (TTsYsplanTmpl item : tTsYsplanTmplMapper.selectTTsYsplanTmplList(new TTsYsplanTmpl())) {
                TTsYsplan entity = new TTsYsplan();
                entity.setCourseCode(item.getCourseCode());
                entity.setTopic(item.getTopic());
                entity.setContent(item.getContent());
                entity.setCourseDay(item.getCourseDay());
                entity.setCourseHour(item.getCourseHour());
                entity.setDetailPlan(item.getDetailPlan());
                entity.setTrainer(item.getTrainer());
                entity.setCourseDate(item.getCourseDate());
                entity.setAssess(item.getAssess());
                entity.setNewId(tTsNew.getNewId());
                entity.setFileName(item.getFileName());
                entity.setFileUrl(item.getFileUrl());
                entity.setTimerNeed(item.getTimerNeed());
                entity.setTimer(0L);
                tTsYsplanMapper.insertTTsYsplan(entity);
            }
        } else if (tTsNew.getPlanType() == 3) {
            for (TTsFlplanTmpl item : tTsFlplanTmplMapper.selectTTsFlplanTmplList(new TTsFlplanTmpl())) {
                TTsFlplan entity = new TTsFlplan();
                entity.setCourseCode(item.getCourseCode());
                entity.setTopic(item.getTopic());
                entity.setContent(item.getContent());
                entity.setCourseDay(item.getCourseDay());
                entity.setCourseHour(item.getCourseHour());
                entity.setDetailPlan(item.getDetailPlan());
                entity.setTrainer(item.getTrainer());
                entity.setCourseDate(item.getCourseDate());
                entity.setAssess(item.getAssess());
                entity.setNewId(tTsNew.getNewId());
                entity.setFileName(item.getFileName());
                entity.setFileUrl(item.getFileUrl());
                entity.setTimerNeed(item.getTimerNeed());
                entity.setTimer(0L);
                tTsFlplanMapper.insertTTsFlplan(entity);
            }
        } else if (tTsNew.getPlanType() == 4) {
            for (TTsFtplanTmpl item : tTsFtplanTmplMapper.selectTTsFtplanTmplList(new TTsFtplanTmpl())) {
                TTsFtplan entity = new TTsFtplan();
                entity.setCourseCode(item.getCourseCode());
                entity.setTopic(item.getTopic());
                entity.setContent(item.getContent());
                entity.setCourseDay(item.getCourseDay());
                entity.setCourseHour(item.getCourseHour());
                entity.setDetailPlan(item.getDetailPlan());
                entity.setTrainer(item.getTrainer());
                entity.setCourseDate(item.getCourseDate());
                entity.setAssess(item.getAssess());
                entity.setNewId(tTsNew.getNewId());
                entity.setFileName(item.getFileName());
                entity.setFileUrl(item.getFileUrl());
                entity.setTimerNeed(item.getTimerNeed());
                entity.setTimer(0L);
                tTsFtplanMapper.insertTTsFtplan(entity);
            }
        }
        return 1;
    }

    /**
     * 修改导师带徒
     *
     * @param tTsNew 导师带徒
     * @return 结果
     */
    @Override
    public int updateTTsNew(TTsNew tTsNew) {
        return tTsNewMapper.updateTTsNew(tTsNew);
    }

    /**
     * 批量删除导师带徒
     *
     * @param newIds 需要删除的导师带徒ID
     * @return 结果
     */
    @Override
    public int deleteTTsNewByIds(Long[] newIds) {
        return tTsNewMapper.deleteTTsNewByIds(newIds);
    }

    /**
     * 删除导师带徒信息
     *
     * @param newId 导师带徒ID
     * @return 结果
     */
    @Override
    public int deleteTTsNewById(Long newId) {
        return tTsNewMapper.deleteTTsNewById(newId);
    }
}
